<TeXmacs|1.0.0.2>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Compatability of <TeXmacs> with <TeX> and <LaTeX>>

  <apply|TeXmacs> has not been designed to be fully compatible with
  <apply|LaTeX>. As to the conversion from <apply|LaTeX> to <apply|TeXmacs>,
  our main aim is to <with|font shape|italic|help> you in converting old
  documents to <apply|TeXmacs>. As long as you did not define weird
  environments and as long as you did not use weird style files and commands,
  you should be able to convert your old documents reasonably well.
  Otherwise, we suggest to modify your old document in a way that is does
  convert reasonably well and to apply some final changes in the result.

  The conversion from <apply|TeXmacs> to <apply|LaTeX> is more reliable,
  apart from minor changes in the layout, and as long as you do not use
  specific features of <apply|TeXmacs>, mainly

  <\itemize>
    <item>Left primes.

    <item>big separators between big parentheses.

    <item>Mosaics.

    <item>Trees.

    <item>Vertical spaces ``before'' and ``after''.

    <item>Indentation flags ``before'' and ``after''.
  </itemize>

  You may convert <apply|TeXmacs> documents to <apply|LaTeX> using
  <subsubmenu|File|export|latex>. We have provided a <apply|TeXmacs> style
  file in <verbatim|misc/latex/TeXmacs.sty>. By default, this style file is
  included in converted documents, by the <verbatim|usepackage> command. If
  you send such a converted document to someone else (i.e. a publisher), make
  sure that this person has a copy of the file <verbatim|TeXmacs.sty>.

  We also notice that it is possible to use <apply|LaTeX> command names for
  keyboard input. For instance, in math mode, you can create a fraction by
  typing <key|\\ f r a c return>.

  For more details about the conversion of <apply|TeXmacs> documents to
  <apply|LaTeX> and vice versa can be found in the chapter ``compatibility
  with <apply|LaTeX>''.

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover
  Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the
  license is included in the section entitled "GNU Free Documentation
  License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>
