<TeXmacs|1.0.0.2>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Typing mathematical symbols>

  The Greek characters are obtained in <apply|TeXmacs> by combining the
  ``Alt'' key with a letter. For instance, <key|A-a> yields
  <with|mode|math|\<alpha\>> and <key|A-G> yields <with|mode|math|\<Gamma\>>.
  Variants are obtained by the <key|*>-key. For instance, <key|A-p *> yields
  <with|mode|math|\<varpi\>>.

  Many other mathematical symbols are obtained by ``natural''
  key-combinations. For instance, <key|- \<gtr\>> yields
  <with|mode|math|\<rightarrow\>>, <key|- - \<gtr\>> yields
  <with|mode|math|\<longrightarrow\>> and <key|\<gtr\> => yields
  <with|mode|math|\<geqslant\>>. Similarly, <key|\| -> yields
  <with|mode|math|\<vdash\>>, <key|\| - \<gtr\>> yields
  <with|mode|math|\<mapsto\>> and <key|- \<gtr\> \<less\> -> yields
  <with|mode|math|\<rightleftarrows\>>.

  Some general rules hold in order to obtain variants of symbols:

  <\description>
    <expand|item*|<key|*>>is the main key for obtaining variants. For
    instance, <key|\<gtr\> => yields <with|mode|math|\<geqslant\>>, but
    <key|\<gtr\> = *> yields <with|mode|math|\<geq\>>. Similarly,
    <key|\<less\> *> yields <with|mode|math|\<prec\>>, <key|\<less\> * =>
    yields <with|mode|math|\<preccurlyeq\>> and <key|\<less\> * = *> yields
    <with|mode|math|\<preceq\>>.

    <expand|item*|<key|@>>is used for putting symbols into circles or boxes.
    For instance, <key|@ +> yields <with|mode|math|\<oplus\>> and <key|@ x>
    yields <with|mode|math|\<otimes\>>. Similarly, <key|@ * +> yields
    <with|mode|math|\<boxplus\>>.

    <expand|item*|<key|/>>is used for negations. For instance, <key|= />
    yields <with|mode|math|\<neq\>> and <key|\<less\> = /> yields
    <with|mode|math|<neg|\<leqslant\>>>. Notice that <key|\<less\> = * * />
    yields <with|mode|math|\<nleqq\>>, while <key|\<less\> = * * / *> yields
    <with|mode|math|\<lneqq\>>.
  </description>

  Below follows some other characters, which are not obtained in a
  straightforward manner by the above system.

  <\description>
    <expand|item*|<key|E-E-a>>yields <with|mode|math|\<amalg\>>. Small
    variants of other large delimiters are obtained in a similar way. For
    instance, \ <key|E-E-n> yields <with|mode|math|\<cap\>>.

    <expand|item*|<key|E-E-d>>yields <with|mode|math|\<partial\>>.

    <expand|item*|<key|E-E-x>>yields <with|mode|math|\<times\>>.

    <expand|item*|<key|E-E-p>>yields <with|mode|math|\<wp\>>.
  </description>

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover
  Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the
  license is included in the section entitled "GNU Free Documentation
  License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>
