<TeXmacs|1.0.0.2>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Using the <tmstyle|tmdoc> style>

  Besides the <apply|hyper-link|copyright information|copyright.en.tm> macros
  and <apply|hyper-link|traversal macros|traversal.en.tm>, which have been
  documented before, the <tmstyle|tmdoc> style comes with a certain number of
  other macros, which you should use whenever appropriate:

  <\description>
    <expand|item*|<markup|key>>This macro is used to indicate keyboard input
    like <key|C-x C-s>.

    <expand|item*|<markup|menu>>This macro indicates a main menu like
    <menu|File>.

    <expand|item*|<markup|submenu>>This macro indicates a submenu or menu
    item like <submenu|Document|language>.

    <expand|item*|<markup|subsubmenu>>This macro indicates a subsubmenu or a
    submenu item like <subsubmenu|Text|color|white>.

    <expand|item*|<markup|tmstyle>>This macro indicates the name of a
    <TeXmacs> style file or package like <tmstyle|article>.

    <expand|item*|<markup|markup>>This macro is used in order to indicate a
    macro or a function like <markup|section>.
  </description>

  The following macros and functions are used for linking and indexing
  purposes, although they should be improved in the future:

  <\description>
    <expand|item*|<markup|simple-link>>This macro takes an URL
    <with|mode|math|x> as argument and is a hyperlink with name and
    destination <with|mode|math|x>.

    <expand|item*|<markup|hyper-link>>This macro is a usual hyperlink.

    <expand|item*|<markup|concept-link>>This macro takes a concept as
    argument. Later on an appropriate hyperlink might be created
    automatically from this and the other documentation.

    <expand|item*|<markup|only-index>>Index a simple string.

    <expand|item*|<markup|def-index>>Definition of a new concept; the text is
    printed in italic and indexed.

    <expand|item*|<markup|re-index>>Reappearance of an already defined
    concept; the text is printed in roman and put in the index.
  </description>

  The <tmstyle|tmdoc> style inherits from the <tmstyle|letter> style and you
  should use macros like <markup|em>, <markup|verbatim>, <markup|itemize>,
  <abbr|etc.> from this style whenever appropriate.

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover
  Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the
  license is included in the section entitled "GNU Free Documentation
  License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>
